Get company by ID
curl --request GET \
--url https://rest-api.captide.co/api/v2/companies/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://rest-api.captide.co/api/v2/companies/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://rest-api.captide.co/api/v2/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "77848abe-a215-41b7-8950-86e89ea1fadc",
"name": "Santos Ltd.",
"tickers": [
"STO.AX"
],
"countries": [
"AU"
],
"filesWithSec": false,
"permid": "4295857141"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Companies
Get Company by ID
Retrieves a single company from the Captide database by its unique ID. The response includes key company information such as name, ticker symbol(s) with exchange suffixes, country of domicile, and SEC filing status.
GET
/
api
/
v2
/
companies
/
{id}
Get company by ID
Authorizations
Path Parameters
Response
Company found successfully
Response model for single company retrieval.
Unique company ID
Company name
List of ticker symbols with exchange suffixes (e.g., 'ASML', 'ASML.AS')
Company's country of domicile (ISO 3166-1 alpha-2)
Whether the company files reports with the SEC
Central Index Key (CIK) assigned by the SEC
PermID (Permanent Identifier) assigned by Refinitiv
Was this page helpful?